{% extends "historical/base.html" %}

{% block content %}
{% load crispy_forms_tags %}
<div class="card">
    {% include 'historical/messages.html' %}
    <div class="card-body">
        <h1>Page d'enregistrement des ressources</h1>
        <form class="post-form" action="{% url 'storage' %}" method="post">
            {% csrf_token %}
            <label for="theme-select">Theme*</label>
            <select class="form-select" name="themes" id="theme-select" required>
                <option value="">--Please choose a theme--</option>
                {% for theme in themes %}
                    <option value="{{theme}}" name="selected-theme">{{theme}}</option>
                {% endfor %}
            </select>
            <br>
            <p>Si le thème voulu n'apparaît pas, ajoutez un nouveau thème <a href="../theme">ici</a>.</p>
            {{ form|crispy }}
            <input type="submit" class="btn btn-success" value="Enregistrer">
        </form>
    </div>
</div>
{% endblock %}
